/*
 * @(#)file      CustomJVM_MANAGEMENT_MIBOidTable.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.4
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.easymanager;

// java imports
//
import java.util.HashMap;
import java.io.Serializable;

// jmx imports
//
import com.sun.management.snmp.SnmpOidRecord;

// jdmk imports
//
import com.sun.management.snmp.SnmpOidTableSupport;

public class CustomJVM_MANAGEMENT_MIBOidTable extends SnmpOidTableSupport implements Serializable {
    HashMap m = new HashMap();
    public CustomJVM_MANAGEMENT_MIBOidTable() {
        super("CUSTOM_JVM_MANAGEMENT_MIB");
        loadMib(varList);
    }
    
    static SnmpOidRecord varList [] = {
        new SnmpOidRecord("jvmClassLoading", "1.3.6.1.4.1.42.2.145.3.163.1.1.1", "GR"),
        new SnmpOidRecord("jvmMemory", "1.3.6.1.4.1.42.2.145.3.163.1.1.2", "GR"),
        new SnmpOidRecord("jvmThreading", "1.3.6.1.4.1.42.2.145.3.163.1.1.3", "GR"),
	new SnmpOidRecord("jvmRuntime", "1.3.6.1.4.1.42.2.145.3.163.1.1.4", "GR"),
	new SnmpOidRecord("jvmCompilation", "1.3.6.1.4.1.42.2.145.3.163.1.1.5", "GR"),
	new SnmpOidRecord("jvmOS", "1.3.6.1.4.1.42.2.145.3.163.1.1.6", "GR")};
}
